Bug 104391 - DC R9 285 HDMI audio regression since drm/amd/display: try to find matching audio inst for enc inst first
Summary: DC R9 285 HDMI audio regression since drm/amd/display: try to find matching a...
Status: ASSIGNED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-27 10:35 UTC by Andy Furniss
Modified: 2018-11-30 17:06 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg with hdmi warnings (68.72 KB, text/plain)
2018-04-12 23:39 UTC, Andy Furniss
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2017-12-27 10:35:18 UTC
R9 285 Tonga with DC (only DC ever worked for HDMI audio with this card/TV combo)

Haven't tested any other use cases other than mine = 

HDMI TV is off DVI-D monitor is on with X running, Turn on TV, do 
xrandr --output HDMI-A-0 --auto && xrandr --output HDMI-A-0 --below DVI-D-0

Since this commit I get no sound.

commit cfb071f7a9673109415d097125b3c12c16836acc
Author: Charlene Liu <charlene.liu@amd.com>
Date:   Wed Nov 15 18:55:57 2017 -0500

    drm/amd/display: try to find matching audio inst for enc inst first
    
    [Description]
    in eDP+ HDMI/DP clone or extended configuration, audio inst changed from inst 1 to inst0.
    No failure related this though, just playback device endpoint inst changed.
    Also  remove one addition register read.
Comment 1 Andy Furniss 2018-02-20 16:04:31 UTC
Bump!

Still broken on latest drm-next-4.17-wip.
Tried booting with both screens on, no better.
Comment 2 Charlene 2018-04-07 02:55:59 UTC
This issue is related to AFMT_CNTL's AFMT_AUDIO_CLOCK_EN. sequence issue. fixed.
Comment 3 Andy Furniss 2018-04-07 09:58:19 UTC
Thanks, I'll close when the fix makes it into something public.

Current agd5f drm-next-4.18-wip still has the issue.
Comment 4 Andy Furniss 2018-04-12 22:34:17 UTC
What is the fix?

I see drm/amd/display: HDMI has no sound after Panel power off/on

just went in agd5f drm-next-4.17

But this does not fix this issue.
Comment 5 Andy Furniss 2018-04-12 23:39:40 UTC
Created attachment 138816 [details]
dmesg with hdmi warnings

Hmm, maybe something else is going wrong.

I am getting hdmi warnings in dmesg (attached) when enabling the TV - I haven't seen these before when testing this issue.
Comment 6 Andy Furniss 2018-04-13 15:16:49 UTC
It seems that

HDMI has no sound after Panel power off/on

is the cause of the warnings.

I tested 4.18-wip, no sound of course but nothing in dmesg.

I then applied "HDMI has no sound after Panel power off/on" as a patch and get no sound + the warnings in dmesg on enabling the TV.

Remove the patch, then 

git revert cfb071f7a9673109415d097125b3c12c16836acc 

= working sound.
Comment 7 Roman Li 2018-05-29 20:51:33 UTC
There were a couple of fixes wrt HDMI audio in DC v3.1.47. They've been merged today to https://cgit.freedesktop.org/~agd5f/linux/log/?h=amd-staging-drm-next
Comment 8 Andy Furniss 2018-05-30 15:49:34 UTC
I tried agd5f drm-next-4.19-wip, which reports
[drm] Display Core initialized with v3.1.47

but still no sound.

The warning/bt in dmesg is not there any more.
Comment 9 Andy Furniss 2018-11-30 17:06:21 UTC
I have a new TV now and can't get hdmi audio working at all.

Maybe my use/setup of alsa doesn't help, but IIRC I did try and fail with a fedora live USB as well.

It works perfectly if I boot into Windows 7, so I know this TV/card combo is OK.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.